'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _addonInfo = require('@storybook/addon-info');

var _constants = require('react-bulma-components/lib/constants');

var _constants2 = _interopRequireDefault(_constants);

var _ = require('.');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ControlledSwitch = function (_React$PureComponent) {
  _inherits(ControlledSwitch, _React$PureComponent);

  function ControlledSwitch() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, ControlledSwitch);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = ControlledSwitch.__proto__ || Object.getPrototypeOf(ControlledSwitch)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      value: false
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(ControlledSwitch, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      return _react2.default.createElement(_2.default, _extends({ onChange: function onChange() {
          return _this2.setState({ value: !_this2.state.value });
        }, value: this.state.value }, this.props));
    }
  }]);

  return ControlledSwitch;
}(_react2.default.PureComponent);

(0, _react3.storiesOf)('Switch', module).addDecorator(function (story) {
  return _react2.default.createElement(
    'div',
    { style: { margin: 10 } },
    story()
  );
}).add('Default', (0, _addonInfo.withInfo)('Switch Implementation')(function () {
  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      _2.default,
      null,
      'Off'
    ),
    _react2.default.createElement(
      _2.default,
      { value: true },
      'On'
    )
  );
})).add('Controlled Switch\'s', (0, _addonInfo.withInfo)('Switch Implementation')(function () {
  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(ControlledSwitch, null),
    _react2.default.createElement(
      ControlledSwitch,
      null,
      'Click on the text'
    )
  );
})).add('Colors', (0, _addonInfo.withInfo)('')(function () {
  return _react2.default.createElement(
    'div',
    null,
    Object.values(_constants2.default.COLORS).map(function (color) {
      return _react2.default.createElement(
        _2.default,
        { value: true, color: color },
        color
      );
    })
  );
})).add('Size', (0, _addonInfo.withInfo)('')(function () {
  return _react2.default.createElement(
    'div',
    null,
    ['small', null, 'medium', 'large'].map(function (size) {
      return _react2.default.createElement(
        _2.default,
        { value: true, size: size },
        'Switch ',
        size
      );
    })
  );
})).add('Other Styles', (0, _addonInfo.withInfo)('')(function () {
  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      _2.default,
      { value: true, rounded: true },
      'Switch Rounded'
    ),
    _react2.default.createElement(
      _2.default,
      { value: true, thin: true },
      'Switch Thin'
    ),
    _react2.default.createElement(
      _2.default,
      { value: true, rtl: true },
      'Switch Text on the left'
    ),
    _react2.default.createElement(
      _2.default,
      { value: true, outlined: true },
      'Switch Text on the left'
    )
  );
}));
//# sourceMappingURL=index.story.js.map